Metadata Properties
View and manage metadata properties.
List Organization Metadata Properties
/settings/v1/metadata-properties
List all Organization Metadata Properties
Requires a bearer access token for this API with the Organization.Settings.MetadataProperty.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/settings/v1/metadata-properties" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get a Organization Metadata Property
/settings/v1/metadata-properties/{metadataPropertyId}
Get a Organization Metadata Property by Id
Requires a bearer access token for this API with the Organization.Settings.MetadataProperty.Read permission. See Authentication.
Parameters
Path parameter
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/settings/v1/metadata-properties/{metadataPropertyId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update a Organization Metadata Property
/settings/v1/metadata-properties/{metadataPropertyId}
Update a Organization Metadata Property by Id
Requires a bearer access token for this API with the Organization.Settings.MetadataProperty.Write permission. See Authentication.
Parameters
Path parameter
Request body
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X PATCH "https://connect.cambrionix.com/api/settings/v1/metadata-properties/{metadataPropertyId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "name": "string", "schema": { "description": "string", "title": "string", "default": true, "type": "boolean" } }'
Delete a Organization Metadata Property
/settings/v1/metadata-properties/{metadataPropertyId}
Delete a Organization Metadata Property by Id
Requires a bearer access token for this API with the Organization.Settings.MetadataProperty.Delete permission. See Authentication.
Parameters
Path parameter
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X DELETE "https://connect.cambrionix.com/api/settings/v1/metadata-properties/{metadataPropertyId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Create a Organization Metadata Property
/settings/v1/metadata-property
Create a new organization metadata property.
Requires a bearer access token for this API with the Organization.Settings.MetadataProperty.Write permission. See Authentication.
Request body
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X POST "https://connect.cambrionix.com/api/settings/v1/metadata-property" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "schema": { "description": "string", "title": "string", "default": true, "type": "boolean" } }'